StarObjectTextInternal::TextZone Struct Referencefinal

Internal: a textZone of StarObjectTextInteral. More...

Inheritance diagram for StarObjectTextInternal::TextZone:

## Public Member Functions

| TextZone ()
| constructor
void | inventoryPage (StarState &state) const final
| try to inventory the different pages
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| try to send the data to a listener
Public Member Functions inherited from StarObjectTextInternal::Zone
| Zone ()
| constructor
virtual | ~Zone ()
| destructor

## Public Attributes

std::vector< uint32_t > | m_text
| the text
std::vector< size_t > | m_textSourcePosition
| the text initial position
librevenge::RVNGString | m_styleName
| the style name
int | m_level
| the level -1=none, 200: keep in list with no bullet
std::vector< StarWriterStruct::Attribute > | m_charAttributeList
| the character item list
std::vector< std::shared_ptr< StarFormatManagerInternal::FormatDef > > | m_formatList
| the format
std::shared_ptr< STOFFList > | m_list
| the list (if defined)
std::vector< StarWriterStruct::Mark > | m_markList
| the mark

## Detailed Description

Internal: a textZone of StarObjectTextInteral.

## Constructor & Destructor Documentation

## TextZone()

StarObjectTextInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Function Documentation

## inventoryPage()

void StarObjectTextInternal::TextZone::inventoryPage | ( | StarState & | state | ) | const

final virtual

try to inventory the different pages

Reimplemented from StarObjectTextInternal::Zone.

## send()

bool StarObjectTextInternal::TextZone::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const

final virtual

try to send the data to a listener

Implements StarObjectTextInternal::Zone.

## Member Data Documentation

## m_charAttributeList

std::vector<StarWriterStruct::Attribute> StarObjectTextInternal::TextZone::m_charAttributeList

the character item list

Referenced by inventoryPage(), send(), and TextZone().

## m_formatList

std::vector<std::shared_ptr<StarFormatManagerInternal::FormatDef> > StarObjectTextInternal::TextZone::m_formatList

the format

Referenced by send(), and TextZone().

## m_level

int StarObjectTextInternal::TextZone::m_level

the level -1=none, 200: keep in list with no bullet

Referenced by send(), and TextZone().

## m_list

std::shared_ptr<STOFFList> StarObjectTextInternal::TextZone::m_list

the list (if defined)

Referenced by send(), and TextZone().

## m_markList

std::vector<StarWriterStruct::Mark> StarObjectTextInternal::TextZone::m_markList

the mark

Referenced by send(), and TextZone().

## m_styleName

librevenge::RVNGString StarObjectTextInternal::TextZone::m_styleName

the style name

Referenced by inventoryPage(), send(), and TextZone().

## m_text

std::vector<uint32_t> StarObjectTextInternal::TextZone::m_text

the text

Referenced by send(), and TextZone().

## m_textSourcePosition

std::vector<size_t> StarObjectTextInternal::TextZone::m_textSourcePosition

the text initial position

Referenced by send(), and TextZone().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx